#!/bin/bash
#
# oppBanish 1.4.7 for IPCop 1.9.x based on Banish 1.4.7 for IPCop 1.4.18+
# oppBanish IPTables script
# Version 0.1

# Print uninstall message to console
echo
/bin/echo -e "\033[1;32moppBanish 0.1 uninstall \033[0m"
/usr/bin/logger -t "oppbanish" "Starting oppBanish 0.1 Uninstall"
echo

# Remove Banish rules
echo -e "Flushing oppBanish rules................\c"
/etc/rc.d/rc.oppBanish stop
echo -e "Done!\n"

# Change to /tmp directory
cd /tmp

# Remove files
echo -e "Removing files.......................\c"

/bin/rm /usr/local/bin/oppBanish_Sort.pl >/dev/null 2>&1
/bin/rm /usr/local/bin/oppbanish >/dev/null 2>&1
/bin/rm /etc/rc.d/rc.oppBanish >/dev/null 2>&1
/bin/rm -rf /var/ipcop/oppBanish >/dev/null 2>&1
echo "Done!"


# Unappending files
echo -e "Restoring files......................\c"

# Restore rc.firewall.local
/bin/cp -p /oppBanish/rc.event.local.bak /etc/rc.d/rc.event.local
echo "Done!"

# Remove backup directory
/bin/rm -rf /oppBanish >/dev/null 2>&1

# Remove uninstall script
rm -f /usr/local/bin/uninstall_oppBanish.sh

echo
echo -e "\033[1;32moppBanish 0.1 Uninstall Complete \033[0m"
/usr/bin/logger -t "oppbanish" "oppBanish 0.1 Uninstall Completed"
echo
